Redmine - Feature #8817

Attachments/Plugin assets directory writable errors
2011-07-14 18:21 - Dave Abrahams

Status: Closed Start date: 2011-07-14
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version: 2.6.1

Resolution: Fixed

Description

These errors are a bit inscrutable because they don't give the actual path to the directory in question. | found "assets" subdirectories
in many of the plugin's own directories, all of which were writable, so | didn't know what to make of the message.

Please change the messages to, e.g.,

"..../public/plugin_assets/" writable

Associated revisions

Revision 13486 - 2014-10-22 20:54 - Jean-Philippe Lang
Add public/plugin_assets directory (#8817).

Revision 13487 - 2014-10-22 20:55 - Jean-Philippe Lang

Removed svn:ignore for public/plugin_assets directory (#8817).

Revision 13488 - 2014-10-22 20:56 - Jean-Philippe Lang

Set svn:ignore to * for plugin_assets subdirectories (#8817).

Revision 13489 - 2014-10-22 21:10 - Jean-Philippe Lang
Adds path to plugin_assets directory in admin/info (#8817).

Revision 13492 - 2014-10-23 01:56 - Toshi MARUYAMA
reflect r13487 and r13488 svn:ignore changes to .hgignore and .gitignore (#8817)

Revision 13635 - 2014-11-22 11:44 - Jean-Philippe Lang
Merged r13486 to r13489 and r13492 (#8817).

History

#1 - 2011-07-21 03:33 - Brian Lacy

Agreed, this is pretty confusing for a new Redmine user. The messages should be much more specific about what directories aren't accessible.

Also, in my case its because the directories don't appear to exist (though | can't be certain, since I'm not 100% what they're supposed to BE). It would
be nice if Redmine could identify this case differently than a permissions issue -- i.e. "The ./public/plugin_assets/ directory does not exist".

#2 - 2012-05-28 11:11 - Anthony Cartmell
Agree. | don't have any plugins, so <redmine>/public/plugin_assets didn't exist. Creating this directory and making it writeable by redmine fixed the

error message.

#3 - 2012-05-28 15:41 - Etienne Massip
- Category set to Plugin API

#4 - 2012-06-04 20:45 - Etienne Massip
- Assignee set to Jean-Philippe Lang

Think it should be bundled indeed since it is not automatically created?
#5 - 2012-07-23 01:26 - VVD VVD

Anthony Cartmell wrote:
Agree. | don't have any plugins, so <redmine>/public/plugin_assets didn't exist. Creating this directory and making it writeable by redmine fixed
the error message.

Correct path is: @<redmine>/public/plugin_assets/

Work on Redmine 2.0.3 - tested 1 mins ago.

#6 - 2012-09-04 14:18 - Kyle Janse van Rensburg

For anyone else that ran into this issues, this worked for me:

sudo nano /etc/apache2/mods-available/passenger.conf

and add the following line:

PassengerDefaultUser www-data

Passenger runs as nobody by default so changing it to www-data worked for me

#7 - 2013-06-05 10:05 - Tim Whitehead

Anthony Cartmell wrote:
Agree. | don't have any plugins, so <redmine>/public/plugin_assets didn't exist. Creating this directory and making it writeable by redmine fixed
the error message.

It is part of Step8, so long as new users are reading the instructions... But it also mentions tmp & tmp/pdf which already existed for me using the git

repo.

New install of v2.3.1 without plug-ins. Would it be possible to create this directory by default? and/or provide a clearer message on the information
page.

#8 - 2014-10-22 15:41 - Anonymous

New install of v2.3.1 without plug-ins. Would it be possible to create this directory by default? and/or provide a clearer message on the
information page.

redmine 2.6 the same here

#9 - 2014-10-22 21:11 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version set to 2.6.1

- Resolution set to Fixed

Fixed, public/plugin_assets is now present out of the box and the admin/info now displays the path to this directory.

#10 - 2014-11-22 11:44 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#11 - 2015-02-14 17:24 - joe hakim rahme

sudo nano /etc/apache2/mods-available/passenger.conf
and add the following line:

PassengerDefaultUser www-data
| confirm that this worked for me on Ubuntu14.10 with libapache2-mod-passenger installed.
